/* Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Arvo:wght@400;700&family=Raleway:wght@100;300;400;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}
body {
    font-family: var(--body-font);
}
/* ------------ Variables ------------ */
:root {
    --dark-color: #252525;
    --sky-blue-color: #20cccc;
    --white-color: #fff;
    --gray-color: #515151;
    --main-font: 'Arvo', serif;
    --body-font: 'Raleway', sans-serif;
}
/* ------------ Common Styles ------------ */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--main-font);

}
.title {
    color: var(--sky-blue-color);
    position: relative;
    font-weight: 600;
    letter-spacing: 1px;
}
.title::after {
    content: '';
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -10px;
    width: 15%;
    height: 3px;
    background-color: var(--sky-blue-color);
}
a {
    text-decoration: none;
}
ul {
    list-style: none;
}

/* ------------ Navbar start ------------ */
#myNav{
    width: 100%;
    padding: 10px 0;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 50;
    transition: 0.5s;
}
.sky-blue-span {
    color: var(--sky-blue-color);
}
.nav-link {
    display: inline-block;
    color: var(--white-color);
    margin: 0 20px;
    padding: 0 5px;
    letter-spacing: 1px;
    position: relative;
    transition: 0.3s;
}
.nav-link:last-child {
    margin-right: 0;
}
.nav-link:hover {
    color: var(--sky-blue-color);
}
.nav-link::before {
    content: '';
    width: 0;
    height: 3px;
    position: absolute;
    left: 0;
    bottom: -5px;
    background-color: var(--sky-blue-color);
    transition: 0.3s;
}
.nav-link:hover::before {
    width: 100%;
}
.nav-link::after {
    content: '';
    position: absolute;
    width: 6px;
    height: 6px;
    transform: rotate(-45deg);
    background-color: var(--sky-blue-color);
    left: 0;
    bottom: -7px;
    opacity: 0;
    transition: 0.3s;
}
.nav-link:hover::after {
    opacity: 1;
}
.menu-toggle {
    display: none;
}
/* ------------ Navbar End ------------ */

/* ------------ Hero Start ------------ */
.hero {
    width: 100%;
    height: 100vh;
    background-image: url(./images/elliott-engelmann-DjlKxYFJlTc-unsplash.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}
.hero h1 {
    opacity: 0;
    animation: showUp 1s forwards;
    animation-delay: 1s;
}
.hero h2 {
    opacity: 0;
    animation: showUp 1s forwards;
    animation-delay: 1s;
}
.hero .container {
    height: 100%;
}
.hero-btn {
    color: var(--white-color);
    border: 1px solid var(--sky-blue-color);
    padding: 10px 45px;
    color: var(--white-color);
    background: linear-gradient(to left, transparent 50%, var(--sky-blue-color) 50%);
    background-position: right;
    background-size: 200%;
    transition: 0.3s;
    opacity: 0;
    animation: showDown 1s forwards;
    animation-delay: 2s;
}
.hero-btn:hover {
    color: var(--dark-color);
    background-position: left;
}
/* ------------ Hero End ------------ */

/* ------------ About Me Start ------------ */
.about {
    overflow: hidden;
}
.personal-img {
    width: 250px;
    height: 250px;
    margin: 0 auto;
}
.personal-img img {
    border-radius: 50%;
    position: relative;
    filter: grayscale(1);
    transition: 0.3s;
}
.personal-img img:hover,
.personal-img img:focus {
    filter: grayscale(0);
    transform: rotate(-5deg);
}
.introduction {
    flex-basis: 50%;
}
.skills {
    width: 100%;
    height: 100%;
    flex-basis: 50%;
}
.progress-bar {
    width: 100%;
    background-color: #ccc;
    position: relative;
    border-radius: 10px;
}
.progress-fill {
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--sky-blue-color);
    animation: fill70 3s forwards;
    animation-delay: 2.5s;
}
.js {
    animation: fill25 3s forwards;
    animation-delay: 2.5s;
}
.progress-text {
    z-index: 50;
    color: var(--dark-color);
    text-align: right;
    margin-right: 10px;
}
.progress-icon {
    position: absolute;
    top: 50%;
    left: 0;
    background-color: #a1eeee;
    padding: 0 10px;
    transform: translateY(-50%);
    color: var(--gray-color);
}
/* ------------ About Me End ------------ */

/* ------------ Project Start ------------ */
.projects {
    background-color: var(--dark-color);
    overflow: hidden;
    padding: 60px 0;
    border-top-right-radius: 100px;
    border-bottom-left-radius: 100px;
}
.projects .card, .projects .list-group-item {
    background-color: #27292b;
    color: var(--white-color);
}
.projects .card {
    cursor: pointer;
    transition: 0.3s;
}
.projects .card:hover {
    transform: translateY(-10px);
    box-shadow: 0 0 10px var(--white-color);
}
.projects .fab {
    margin-left: 10px;
    font-size: 18px;
    transition: 0.3s;
}
.projects .fa-html5 {
    margin: 0;
}
.projects .fa-github {
    color: var(--white-color);
}
.projects .fa-gitlab {
    color: var(--white-color);
}
.projects .fa-html5:hover {
    color: #ff5733;
}
.projects .fa-css3-alt:hover {
    color: #379ad6;
}
.projects .fa-bootstrap:hover {
    color: #8c12fd;
}
.projects .fa-js-square:hover {
    color: #f0db4f;
}
.projects .fa-github:hover {
    transform: scale(1.5);
    color: #b14bc4;
}
.projects .fa-gitlab:hover {
    transform: scale(1.5);
    color: #ff5733;
}
/* ------------ Projects End ------------ */

/* ------------ Contact Start ------------ */
.contact {
    overflow: hidden;
}
.contact input {
    border: none;
    border-bottom: 2px solid var(--dark-color);
}
.contact input:focus {
    box-shadow: none;
    border-color: var(--sky-blue-color);
}
.contact textarea {
    border: 2px solid var(--dark-color);
}
.contact textarea:focus {
    border-color: var(--sky-blue-color);
    box-shadow: none;
}
.google-map {
    height: 400px;
    width: 100%;
    border-radius: 20px;
}
.contact button {
    width: 100%;
    background-color: var(--sky-blue-color);
    font-weight: 600;
    transition: 0.3s;
}
.contact button:hover,
.contact button:focus {
    background-color: var(--dark-color);
    color: var(--sky-blue-color);
    box-shadow: none;
}
.fa-heart {
    color: rgb(231, 91, 91);
}
/* ------------ Contact End ------------ */

/* ------------ Footer Start ------------ */
footer {
    background-color: var(--dark-color);
    position: relative;
}
footer i {
    color: var(--white-color);
}
footer p {
    color: var(--white-color);
}
.footer-content {
    overflow: hidden;
}
.back-to-top {
    position: absolute;
    top: -25px;
    left: 50%;
    transform: translateX(-50%);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: var(--dark-color);
}
.fa-chevron-up {
    display: block;
    text-align: center;
    padding: 10px;
    animation: up 1.2s infinite;
}
footer .title::after {
    width: 40%;
}
.social-media i {
    font-size: 26px;
    margin: 0 15px;
    transition: 0.3s;
}
.social-media i:hover {
    transform: rotate(-45deg);
    color: var(--sky-blue-color);
}
/* ------------ Footer End ------------ */

/* ------------ Media Query Start ------------ */
@media (max-width: 768px) {
    /* Navbar */
    .menu-toggle {
        display: inline-block;
        position: fixed;
        top: 25px;
        right: 25px;
        z-index: 50;
        cursor: pointer;
    }
    .menu-toggle i {
        color: var(--sky-blue-color);
        font-size: 24px;
    }
    .menu-toggle i:last-child {
        display: none;
        color: rgb(231, 91, 91);
    }
    #myNav {
        height: 100vh;
        width: 80%;
        position: fixed;
        top: 0;
        left: 0;
        transform: translateX(-100%);
        transition: 0.5s;
        background-color: var(--dark-color) !important;
    }
    #myNav .container {
        flex-direction: column;
        justify-content: space-between;
    }
    .nav-list {
        width: 100%;
        height: 90vh;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        flex-direction: column;
    }
    .nav-link {
        margin: 0;
        padding: 0 100px;
    }
    .open .menu-toggle i:last-child {
        display: block;
    }
    .open .menu-toggle i:first-child {
        display: none;
    }
    .open #myNav {
        transform: translateX(0);
    } 
}
/* ------------ Media Query End ------------ */

/* ------------ Animation Keyframes ------------ */
@keyframes showUp {
    0% {
        transform: translateY(64px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes showDown {
    0% {
        transform: translateY(-16px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes up {
    0% {
        opacity: 0;
    }   
    50% {
        opacity: 1;
    }
    100% {
        opacity: 1;
        transform: translateY(-10px);
    }
}

@keyframes fill70 {
    0% {
        width: 0;
    }
    100% {
        width: 70%;
    }
}

@keyframes fill25 {
    0% {
        width: 0;
    }
    100% {
        width: 25%;
    }
}